Show / Hide Table of Contents

# Struct ImDrawChannelPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImDrawChannelPtr

### Constructors

| Improve this Doc View Source

#### ImDrawChannelPtr(ImDrawChannel*)

##### Declaration

    public ImDrawChannelPtr(ImDrawChannel*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawChannel* | nativePtr |

| Improve this Doc View Source

#### ImDrawChannelPtr(IntPtr)

##### Declaration

    public ImDrawChannelPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### _CmdBuffer

##### Declaration

    public ImPtrVector<ImDrawCmdPtr> _CmdBuffer { get; }

##### Property Value

Type | Description
--- | ---
ImPtrVector<ImDrawCmdPtr> |

| Improve this Doc View Source

#### _IdxBuffer

##### Declaration

    public ImVector<ushort> _IdxBuffer { get; }

##### Property Value

Type | Description
--- | ---
ImVector<System.UInt16> |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImDrawChannel*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImDrawChannel* |

### Operators

| Improve this Doc View Source

#### Implicit(ImDrawChannel* to ImDrawChannelPtr)

##### Declaration

    public static implicit operator ImDrawChannelPtr(ImDrawChannel*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawChannel* | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawChannelPtr |

| Improve this Doc View Source

#### Implicit(ImDrawChannelPtr to ImDrawChannel*)

##### Declaration

    public static implicit operator ImDrawChannel*(ImDrawChannelPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawChannelPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImDrawChannel* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImDrawChannelPtr)

##### Declaration

    public static implicit operator ImDrawChannelPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImDrawChannelPtr |